
from enum import Enum


class MsgVersion(bytes, Enum):
    """
    Represents Poseur Versions
    """
    V1 = b'\x01'


class MsgType(bytes, Enum):
    """
    Represents Poseur Message Types
    """
    RESERVED = b'\x00'
    REG = b'\x01'
    TASK = b'\x02'
    TASK_RESULT = b'\x03'
    TASK_EXCEPTION = b'\x04'
    ERR = b'\xFF'


class MsgEncoding(bytes, Enum):
    """
    Represents Poseur Codec Types
    """
    NONE = b'\x00'
    MESSAGE_PACK = b'\x01'
    PYTHON_PICKLE = b'\x02'
    USER_DEFINED = b'\xFF'
