

_GLOBAL_RPC_REGISTRY = {}


def enroll_function(func):
    """
    Decorator used for enrolling a function to the global RPC registry.
    """
    add_callable_to_registry(func.__name__, func)
    return func


def add_callable_to_registry(name, callable_):
    """
    Adds a given callable to the global RPC registry under the given name.

    :param name: The name to register the callable as.
    :param callable_: The callable to register.
    """
    if not callable(callable_):
        raise ValueError("Registry item must be a callable")

    _GLOBAL_RPC_REGISTRY[name] = callable_
